We switched to a manual approval system for registration on this forum, as this makes it easier to keep bots out of the forum. We'll approve everybody who doesn't look like a bot!

Zettlr on ElementaryOS ?

Wondering if anyone is successfully running Zettlr on ElementaryOS 5? (Which is based on Ubuntu 18.04.2 LTS.)

I've tried installing the deb, building from source, and 'yarn start'. In all cases I get...nothing. A few processes called 'zettlr' running but I don't see an app 😭

If this is the wrong place to post this kind of query, please let me know where I would be better off posting it...

Comments

  • edited August 30

    I can get Zettlr to run (locally, from source, using yarn start) if I check out 1.2.3.

    Whereas, at 1.3.0, or the latest 1.4.0 beta, it won't run (no app appears).

    So I guess some problem has crept in between 1.2.3 and 1.3.0 ....

  • edited August 31

    So I can also make a release build on 1.2.3. Installed it and it runs fine. When I have time I'm going to dig thru the diff between 1.2.3 and 1.3.0 and see if I can work out what's stopping later versions from running on my machine .... I'm not very familiar with Electron, Vue or Handlebars, but hopefully I can figure it out :D

  • Vue should not pose a problem for 1.3, as I only introduced it for 1.4 – I don't know, does anyone of the recent Beta-versions work on your system?

  • I have found a workaround!

    I've raised an issue on your github with a full bug description and the workaround: https://github.com/Zettlr/Zettlr/issues/344

  • Ah, already answered that one!

Sign In or Register to comment.